소스 검색

refactor: replace flash mode selection patch with bypass patch in build process

TheWildJames 3 달 전
부모
커밋
984e9c1bef
2개의 변경된 파일5개의 추가작업 그리고 12개의 파일을 삭제
  1. 1 1
      .github/actions/build-kernel/action.yml
  2. 4 11
      .github/actions/build-kernel/patches/bypass.patch

+ 1 - 1
.github/actions/build-kernel/action.yml

@@ -91,7 +91,7 @@ runs:
     working-directory: ${{ github.workspace }}
     run: |
       set -euo pipefail
-      PATCH_FILE="${{ github.action_path }}/patches/anykernel-flash-mode-menu.patch"
+      PATCH_FILE="${{ github.action_path }}/patches/bypass.patch"
       if [ -f "$PATCH_FILE" ]; then
         patch -d "${{ github.workspace }}/AnyKernel3" -p1 < "$PATCH_FILE"
       fi

+ 4 - 11
.github/actions/build-kernel/patches/anykernel-flash-mode-menu.patch → .github/actions/build-kernel/patches/bypass.patch

@@ -1,10 +1,10 @@
 diff --git a/anykernel.sh b/anykernel.sh
-index 35b6e59..aecf80b 100755
+index 35b6e59..e2bcb62 100755
 --- a/anykernel.sh
 +++ b/anykernel.sh
-@@ -33,6 +33,50 @@ no_magisk_check=1
- # import functions/variables and setup patching - see for reference (DO NOT REMOVE)
- . tools/ak3-core.sh
+@@ -45,6 +45,52 @@ esac
+ ui_print " " "  -> Wild Kernels Supported: $ksu_supported"
+ $ksu_supported || abort "  -> Non-GKI device, abort."
  
 +handle_input() {
 +    while true; do
@@ -50,13 +50,6 @@ index 35b6e59..aecf80b 100755
 +    done
 +}
 +
- # GKI check
- kernel_version=$(cat /proc/version | awk -F '-' '{print $1}' | awk '{print $3}')
- case $kernel_version in
-@@ -45,6 +89,8 @@ esac
- ui_print " " "  -> Wild Kernels Supported: $ksu_supported"
- $ksu_supported || abort "  -> Non-GKI device, abort."
- 
 +choose_flash_mode
 +
  # boot install